PUT /api/org/me

Name, email, country and VAT number for the receipt. A VAT number of the organisation's own EU country, outside Sweden, makes its deposits reverse charged. The currency is fixed.

Surface: organisation. Who may call: organisation. Key: organisation.update.

Example request

curl -X PUT https://caremcp.com/api/org/me \
  -H "Authorization: Bearer <session or access token>" \
  -H "Content-Type: application/json" \
  -d '{"vatNumber":"SE556894438201"}'

Example input

{
  "vatNumber": "SE556894438201"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "name": {
   "type": "string",
   "minLength": 2,
   "maxLength": 120
  },
  "email": {
   "type": "string",
   "maxLength": 200,
   "format": "email",
   "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
  },
  "country": {
   "type": "string",
   "pattern": "^[A-Z]{2}$"
  },
  "vatNumber": {
   "anyOf": [
    {
     "type": "string",
     "pattern": "^[A-Z]{2}[A-Z0-9]{2,12}$"
    },
    {
     "type": "null"
    }
   ]
  }
 }
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string"
  },
  "name": {
   "type": "string"
  },
  "email": {
   "type": "string"
  },
  "country": {
   "type": "string"
  },
  "vatNumber": {
   "type": [
    "string",
    "null"
   ]
  },
  "currency": {
   "type": "string",
   "enum": [
    "USD",
    "EUR"
   ]
  },
  "createdAt": {
   "type": "string"
  }
 },
 "required": [
  "id",
  "name",
  "email",
  "country",
  "vatNumber",
  "currency",
  "createdAt"
 ],
 "additionalProperties": false
}